﻿/**
 * Camera settings
 * 4EverNerd 20161214
 */
{
  "camera": {
    // Global camera settings switch
    "enabled": true,
    // Arcade mode
    "arcade": {
      // Camera distance range: [min, max], default - [2, 25]
      "distRange": [2, 50],
      // Start distance (null for default behavior - saved state from the last battle)
      "startDist": null,
      // Scroll sensitivity (default = 5)
      "scrollSensitivity": 5,
      // false - disable the shot recoil effect (for the enabled dynamic camera option)
      "shotRecoilEffect": true
    },
    // Postmortem mode
    "postmortem": {
      // Camera distance range: [min, max], default - [2, 25]
      "distRange": [2, 50],
      // Start distance (null for default behavior - maximum distance)
      "startDist": null,
      // Scroll sensitivity (default = 5)
      "scrollSensitivity": 5,
      // false - disable the shot recoil effect (for the enabled dynamic camera option)
      "shotRecoilEffect": true
    },
    // Strategic mode (arty)
    "strategic": {
      // Camera distance range: [min, max], default - [40, 100]
      "distRange": [40, 125],
      // false - disable the shot recoil effect (for the enabled dynamic camera option)
      "shotRecoilEffect": true
    },
    // Sniper mode
    "sniper": {
      // List of multiplicities for the sniper mode
      // Default: [ 2, 4, 8 ]. It's possible to use a greater number of values.
      "zooms": [2, 4, 8, 12, 16, 20, 24],
      // Start zoom value (null for default behavior - last used state)
      "startZoom": null,
      // Zoom Indicator
      // Global macros allowed in all fields
      "zoomIndicator": {
        // Enable/disable
        "enabled": true,
        // Field position relative to screen center
        "x": 150,
        "y": 30,
        // Field size
        "width": 100,
        "height": 40,
        // Opacity in percents (0..100)
        "alpha": 100,
        "rotation": 0,
        "scaleX": 1,
        "scaleY": 1,
        // Background color
        "bgColor": null,
        // Border color
        "borderColor": null,
        "antiAliasType": "advanced",
        "textFormat": {
          "font": "$TitleFont",
          "size": 16,
          "color": "0x95CB29",
          "align": "left",
          "valign": "center"
        },
        // Text format
        "format": "x{{zoom}}",
        // Shadow options
        "shadow": {
          // false - no shadow
          "enabled": true,
          "distance": 0,             // (in pixels)     / offset distance / дистанция смещения
          "angle": 0,                // (0.0 .. 360.0)  / offset angle    / угол смещения
          "color": "0x192E0E",       // "0xXXXXXX"      / color           / цвет
          "alpha": 100,              // (0 .. 100)      / opacity         / прозрачность
          "blur": 3,                 // (0.0 .. 255.0)  / blur            / размытие
          "strength": 2              // (0.0 .. 255.0)  / intensity       / интенсивность
        }
      },
      // false - disable the shot recoil effect (for the enabled dynamic camera option)
      "shotRecoilEffect": true
    }
  }
}