﻿/**
 * Parameters for hangar
 * 4EverNerd 170427.
 */
{
  "hangar": {
    // true - Show XWN8 instead of XEFF in company windows
    "xwnInCompany": true,
    // true - enable locker for gold
    "enableGoldLocker": true,
    // true - enable locker for free XP
    "enableFreeXpLocker": true,
    // true - Use credits instead of gold as default currency for ammo and equipment
    "defaultBoughtForCredits": true,
    // true - Hide price button in tech tree
    "hidePricesInTechTree": false,
    // true - Show mastery mark in tech tree
    "masteryMarkInTechTree": true,
    // true - Allow to consider the exchange of experience with gold in tech tree
    "allowExchangeXPInTechTree": true,
    // true - Enable crew auto return function
    "enableCrewAutoReturn": true,
    // true - Return crew check box is selected by default
    "crewReturnByDefault": false,
    // Number of perks to show without grouping
    "crewMaxPerksCount": 8,
    // true - Show flags in barracks
    "barracksShowFlags": true,
    // true - Show skills in barracks
    "barracksShowSkills": true,
    // true - Enable removable equipment auto return (Camouflage net, Stereoscope, Toolbox)
    "enableEquipAutoReturn": true,
    // true - Make vehicle not ready for battle if low ammo
    "blockVehicleIfLowAmmo": true,
    // Below this percentage, ammo is low. (0 - 100)
    "lowAmmoPercentage": 75,
    // true - Enable widgets
    "widgetsEnabled": false,
    // Ping servers
    "pingServers": {
      // true - Enable display of ping to the servers
      "enabled": false,
      // Update interval, in ms
      "updateInterval": 10000,
      // Axis field coordinates
      "x": 85,
      "y": 52,
      // Horizontal alignment of field at screen ("left", "center", "right").
      "hAlign": "left",
      // Vertical alignment of field at screen ("top", "center", "bottom").
      "vAlign": "top",
      // Transparency 0 to 100
      "alpha": 80,
      // If set, draw image at background.
      // example: "bgImage": "cfg://My/img/my.png",
      "bgImage": null,
      // Server to response time text delimiter
      "delimiter": ": ",
      // Maximum number of column rows
      "maxRows": 2,
      // Gap between columns
      "columnGap": 3,
      // Leading between lines.
      "leading": 2,
      // layer - "bottom", "normal" (default), "top".
      "layer": "normal",
      // true - show title "Ping"
      "showTitle": true,
      // true - show server names in list
      "showServerName": true,
      // expand server names to this amount of symbols. recommended to use monospace font if this option is set.
      "minimalNameLength": 4,
      // expand values to this amount of symbols. recommended to use monospace font if this option is set.
      "minimalValueLength": 0,
      // text to show in case of error
      "errorString": "--",
      // List of ignored servers, for example, ["RU1", "RU3"]
      "ignoredServers": [],
      // Text style
      "fontStyle": {
        // Font name
        "name": "$FieldFont",
        "size": 12,         // Размер
        "bold": false,      // Жирный
        "italic": false,    // Курсив
        // Different colors depending on server response time
        "color": {
          "great": "0xFFCC66",  // Отличный
          "good":  "0xE5E4E1",  // Хороший
          "poor":  "0x96948F",  // Так себе
          "bad":   "0xD64D4D"   // Плохой
        },
        // Mark current server in the list, possible options: "none" (don't mark), "normal", "bold", "italic", "underline"
        "markCurrentServer": "bold",
        // Color for server name and delimiter (for example, "0x8080FF"). Empty string "" - use same color as online value
        "serverColor": ""
      },
      // Threshold values defining response quality
      "threshold": {
        // Below this value response is great
        "great": 35,
        // Below this value response is good
        "good": 60,
        // Below this value response is poor
        "poor": 100
        // Values above define bad response
      },
      // Shadow options
      "shadow": {
        // false - no shadow
        "enabled": true,
        "distance": 0,             // (in pixels)     / offset distance / дистанция смещения
        "angle": 0,                // (0.0 .. 360.0)  / offset angle    / угол смещения
        "color": "0x000000",       // "0xXXXXXX"      / color           / цвет
        "alpha": 70,               // (0 .. 100)      / opacity         / прозрачность
        "blur": 4,                 // (0.0 .. 255.0)  / blur            / размытие
        "strength": 2              // (0.0 .. 255.0)  / intensity       / интенсивность
      }
    },
    "onlineServers": {
      // true - Enable display online of servers
      "enabled": false,
      // Axis field coordinates
      "x": -3,
      "y": 51,
      // Horizontal alignment of field at screen ("left", "center", "right").
      "hAlign": "right",
      // Vertical alignment of field at screen ("top", "center", "bottom").
      "vAlign": "top",
      // Transparency
      "alpha": 80,
      // If set, draw image at background.
      // example: "bgImage": "cfg://My/img/my.png",
      "bgImage": null,
      // Server to online text delimiter
      "delimiter": ": ",
      // Maximum number of column rows
      "maxRows": 2,
      // Gap between columns
      "columnGap": 3,
      // Leading between lines.
      "leading": 0,
      // layer - "bottom", "normal" (default), "top".
      "layer": "normal",
      // true - show title "Online"
      "showTitle": true,
      // true - show server names in list
      "showServerName": true,
      // expand server names to this amount of symbols. recommended to use monospace font if this option is set.
      "minimalNameLength": 4,
      // expand values to this amount of symbols. recommended to use monospace font if this option is set.
      "minimalValueLength": 0,
      // text to show in case of error
      "errorString": "--k",
      // List of ignored servers, for example, ["RU1", "RU2"]
      "ignoredServers": [],
      // Text style
      "fontStyle": {
        // Font name
        "name": "$FieldFont",
        "size": 12,         // Размер
        "bold": false,      // Жирный
        "italic": false,    // Курсив
        // Different colors depending on people online
        "color": {
          "great": "0x60ff00",  // Отличный
          "good":  "0xF8F400",  // Хороший
          "poor":  "0xFE7903",  // Так себе
          "bad":   "0xFE0E00"   // Плохой
        },
        // Mark current server in the list, possible options: "none" (don't mark), "normal", "bold", "italic", "underline"
        "markCurrentServer": "bold",
        // Color for server name and delimiter (for example, "0x8080FF"). Empty string "" - use same color as online value
        "serverColor": ""
      },
      // Threshold values defining server online and thus shorter battle queue
      "threshold": {
        "great": 30000,
        "good": 10000,
        "poor": 3000
        //below this value the queue might be long
      },
      // Shadow options
      "shadow": {
        "enabled": true,
        "distance": 0,
        "angle": 0,
        "color": "0x000000",
        "alpha": 70,
        "blur": 4,
        "strength": 2
      }
    },
    // Show/hide server info or change its parameters
    "serverInfo": {
      // Show server info in hangar.
      "enabled": true,
      // Transparency in percents [0..100].
      "alpha": 100,
      // Rotation in degrees [0..360].
      "rotation": 0,
      // Shift X position
      "shiftX": 0,
      // Shift Y position
      "shiftY": 0
    },
    // Show/hide common quests button or change its parameters
    // Показать/спрятать кнопку общих задач, или изменить ее параметры
    "commonQuests": {
      // Show common quests button in hangar.
      // Показывать кнопку общих задач в ангаре.
      "enabled": true,
      // Transparency in percents [0..100].
      // Прозрачность в процентах [0..100].
      "alpha": 100,
      // Rotation in degrees [0..360].
      // Угол поворота в градусах [0..360].
      "rotation": 0,
      // Shift X position
      // Сдвиг по оси X
      "shiftX": 0,
      // Shift Y position
      // Сдвиг по оси Y
      "shiftY": 0
    },
    // Show/hide personal quests button or change its parameters
    // Показать/спрятать кнопку персональных задач, или изменить ее параметры
    "personalQuests": {
      // Show personal quests button in hangar.
      // Показывать кнопку персональных задач в ангаре.
      "enabled": true,
      // Transparency in percents [0..100].
      // Прозрачность в процентах [0..100].
      "alpha": 100,
      // Rotation in degrees [0..360].
      // Угол поворота в градусах [0..360].
      "rotation": 0,
      // Shift X position
      // Сдвиг по оси X
      "shiftX": 0,
      // Shift Y position
      // Сдвиг по оси Y
      "shiftY": 0
    },
    // Show/hide current vehicle name, type and level or change their parameters
    "vehicleName": {
      // Show current vehicle name, type and level in hangar.
      "enabled": true,
      // Transparency in percents [0..100].
      "alpha": 100,
      // Rotation in degrees [0..360].
      "rotation": 0,
      // Shift X position
      "shiftX": 0,
      // Shift Y position
      "shiftY": 0
    },    // Show "Buy premium" button
    "showBuyPremiumButton": true,
    // Show "Premium shop" button
    "showPremiumShopButton": true,
    // Behavior of the system channel notifications button on new notifications:
    //   none - do nothing
    //   blink - blink button
    //   full - blink and show counter (default client behavior)
    "notificationsButtonType": "full",
    // Parameters for tank carousel
    "carousel": ${"carousel.xc":"carousel"},
    // Parameters for hangar clock
    "widgets": ${"widgets.xc":"widgets.lobby"}
  }
}
